<?php

// Add the administrator field
if (self::$db_alter->fetch_table_info('dbtech_vbmail_mailinglist'))
{
	self::$db->hide_errors();
	self::$db->query_write("ALTER TABLE " . TABLE_PREFIX . "dbtech_vbmail_mailinglist ADD external ENUM('0', '1') NOT NULL DEFAULT '0'");
	self::$db->show_errors();
	self::report('Altered Table', 'dbtech_vbmail_mailinglist');
}


self::$db->query_write("
	CREATE TABLE IF NOT EXISTS `" . TABLE_PREFIX  . "dbtech_vbmail_user` (
		`userid` int(10) unsigned NOT NULL AUTO_INCREMENT,
		`username` varchar(100) NOT NULL DEFAULT '',
		`email` char(100) NOT NULL DEFAULT '',
		`usergroupid` smallint(5)  unsigned NOT NULL DEFAULT '0',
		`membergroupids` char(250) NOT NULL DEFAULT '',
		`salt` char(30) NOT NULL DEFAULT '',
		`dbtech_vbmail_defaultkeyword` enum('0', '1') NOT NULL DEFAULT '1',
		`dbtech_vbmail_bounceflag` enum('0', '1') NOT NULL DEFAULT '0',
		`options` int(10) unsigned NOT NULL DEFAULT '33570831',
		PRIMARY KEY (`userid`)
	) ENGINE=MyISAM 
");
self::report('Created Table', 'dbtech_vbmail_user');